=== debian/control ===
Source: pycam
Section: python
Priority: extra
Maintainer: Lars Kruse <devel@sumpfralle.de>
Build-Depends: python, debhelper (>= 7), cdbs, patchutils
Build-Depends-Indep: python-support, help2man
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/pycam/

Package: pycam
Architecture: all
Depends: python-gtk2, python-opengl (>>3.0.0~b6-3), python-gtkglext1,
 python-rsvg, ${misc:Depends}, ${python:Depends}
Recommends: python-pyode (>>1.2.0-3), python-psyco, python-setproctitle,
 python-guppy, inkscape, pstoedit
Suggests: qcad-data | librecad-data
Description: CAM program & Python library for generating toolpaths
 PyCAM is a toolpath generator for 3 axis machines. The generated
 GCode can be used with EMC2 and other machine controllers.
 The included Python library can be used independently from the GUI.
 .
 Features:
    * read and write STL model files (3D)
    * support for 2D models (DXF/SVG/PS)
    * generate toolpaths (GCode) for various strategies and drill
	  definitions
    * manage and store processing templates
    * scale, move, rotate, flip and transform the model
    * interactive 3D model view based on OpenGL
    * non-interactive generation of GCode via commandline
	* render single-line fonts (provided by QCAD)
